summaryrefslogtreecommitdiff
path: root/tests/big-dynstr.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/big-dynstr.sh')
-rwxr-xr-xtests/big-dynstr.sh25
1 files changed, 13 insertions, 12 deletions
diff --git a/tests/big-dynstr.sh b/tests/big-dynstr.sh
index 19adad1..89c5355 100755
--- a/tests/big-dynstr.sh
+++ b/tests/big-dynstr.sh
@@ -1,25 +1,26 @@
#! /bin/sh -e
-SCRATCH=scratch/$(basename $0 .sh)
+SCRATCH=scratch/$(basename "$0" .sh)
-rm -rf ${SCRATCH}
-mkdir -p ${SCRATCH}
-mkdir -p ${SCRATCH}/libsA
-mkdir -p ${SCRATCH}/libsB
+rm -rf "${SCRATCH}"
+mkdir -p "${SCRATCH}"
+mkdir -p "${SCRATCH}/libsA"
+mkdir -p "${SCRATCH}/libsB"
-cp big-dynstr ${SCRATCH}/
-cp libfoo.so ${SCRATCH}/libsA/
-cp libbar.so ${SCRATCH}/libsB/
+cp big-dynstr "${SCRATCH}/"
+cp libfoo.so "${SCRATCH}/libsA/"
+cp libbar.so "${SCRATCH}/libsB/"
-oldRPath=$(../src/patchelf --print-rpath ${SCRATCH}/big-dynstr)
+oldRPath=$(../src/patchelf --print-rpath "${SCRATCH}/big-dynstr")
if test -z "$oldRPath"; then oldRPath="/oops"; fi
-../src/patchelf --force-rpath --set-rpath $oldRPath:$(pwd)/${SCRATCH}/libsA:$(pwd)/${SCRATCH}/libsB ${SCRATCH}/big-dynstr
+../src/patchelf --force-rpath --set-rpath "$oldRPath:$(pwd)/${SCRATCH}/libsA:$(pwd)/${SCRATCH}/libsB" "${SCRATCH}/big-dynstr"
if test "$(uname)" = FreeBSD; then
- export LD_LIBRARY_PATH=$(pwd)/${SCRATCH}/libsB
+ LD_LIBRARY_PATH="$(pwd)/${SCRATCH}/libsB"
+ export LD_LIBRARY_PATH
fi
exitCode=0
-cd ${SCRATCH} && ./big-dynstr || exitCode=$?
+cd "${SCRATCH}" && ./big-dynstr || exitCode=$?
if test "$exitCode" != 46; then
echo "bad exit code!"